package com.younike.system.mapper;

import com.younike.system.domain.ServerTime;
import com.younike.system.domain.vo.ServerTimesVO;

import java.util.List;

/**
 * 服务人员服务时间Mapper接口
 *
 * @author jubs
 * @date 2022-01-07
 */
public interface MerchantServerTimeMapper {
    /**
     * 查询服务人员服务时间
     *
     * @param serverId 服务人员服务时间主键
     * @return 服务人员服务时间
     */
    ServerTimesVO selectServerTimeByServerId(Long serverId);

    /**
     * 查询服务人员服务时间列表
     *
     * @param serverTime 服务人员服务时间
     * @return 服务人员服务时间集合
     */
    List<ServerTimesVO> selectServerTimeList(ServerTimesVO serverTime);

    /**
     * 新增服务人员服务时间
     *
     * @param serverTime 服务人员服务时间
     * @return 结果
     */
    int insertServerTime(ServerTimesVO serverTime);

    /**
     * 修改服务人员服务时间
     *
     * @param serverTime 服务人员服务时间
     * @return 结果
     */
    int updateServerTime(ServerTimesVO serverTime);

    /**
     * 删除服务人员服务时间
     *
     * @param serverId 服务人员服务时间主键
     * @return 结果
     */
    int deleteServerTimeByServerId(Long serverId);

    /**
     * 批量删除服务人员服务时间
     *
     * @param serverIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteServerTimeByServerIds(Long[] serverIds);
}
